#include<stdio.h>
int main()
{
    int a[300];
    int n,i;
    int j=0;
    int b[300];
    scanf("%d",&n);
    for (i=0;i<n;i++)
        scanf("%d",&a[i]);
    int k;
    int count;
    for (i=0;i<n;i++)
    {
        count=0;
        for (k=0;k<n;k++)
        {
            if (a[i]==a[k])
                count++;
        }
        if (count==1)
        {
            j++;
            b[j]=a[i];
        }
    }
    if (j==0)
        printf("No");
    else
    {
        for (i=1;i<=j-1;i++)
            printf("%d,",b[i]);
        printf("%d",b[i]);
    }
    return 0;
}

